### Method

# Shumate VectorRenderer set_sprite_sheet_data

#### Declaration [src]

    gboolean
    shumate_vector_renderer_set_sprite_sheet_data (
      ShumateVectorRenderer* self,
      GdkPixbuf* sprites_pixbuf,
      const char* sprites_json,
      GError** error
    )

#### Description [src]

Sets the sprite sheet used by the style JSON to render icons and textures.

See https://maplibre.org/maplibre-gl-js-docs/style-spec/sprite/ for details about the spritesheet format. Most stylesheets provide these files along with the main style JSON.

#### Parameters

`sprites_pixbuf`

  Type: `GdkPixbuf`

  A `GdkPixbuf`

  The data is owned by the caller of the function.

`sprites_json`

  Type: `const char*`

  A JSON string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the sprite sheet was loaded successfully.